%          ----------------------------------------------------
%          MENUS.CTL -- The menus control file for Maximus-CBCS
%          ----------------------------------------------------
%
% This file controls all of the aspects of Maximus' menus;  From what and
% where and how the individual options perform, to how the actual menu
% looks.
%
% Each menu definition is started by a "Menu" keyword.  Right after the
% "Menu" keyword, you should tell Maximus the name of the file which
% you want to store the menu on disk as, with an extension of
% <menuname>.Mnu.  (The file extension will be added automatically for
% you.)  The only two menus that Maximus itself will call are called "MAIN"
% and "EDIT" -- the former is called as soon as a user has logged on,
% and the latter is called whenever the user gets to the menu portion of
% the BorED or MaxEd editors.  Other than those two, you are completely
% free to name your menus as you wish.  Since you define the links
% between menus, whatever you call your message menu is of no
% consequence to Maximus.  Also, you are completely free to put as many
% items on as many menus as you want, although it is recommended that
% you keep the general menu structure the same.  You can have up to a
% maximum of 127 separate menu options on each individual menu.

Menu MAIN
        %
        % This option defines what the name of the menu will look like
        % on-screen, to the user.  This doesn't necessarily have to be
        % the same name as you specified above.

        Title           D

        % This option specifies what you want Maximus to print out before
        % every menu prompt.  The default, `MenuHeader None', will display
        % nothing before the prompt.  The other menu headers available
        % are:
        %
        %       MenuHeader Message:   Displays a "Msg.area xx ... Description"
        %                             status line before each prompt.
        %
        %       MenuHeader File:      Displays a "File area yy ... Description"
        %                             status line before each prompt.
        %
        %       MenuHeader Change:    Displays the user's current settings,
        %                             which is usually what you'd find at
        %                             the C)hange Setup menu.

        MenuHeader      None

        % This next option defines a customized *.BBS file to display
        % *instead* of the standard Maximus-generated menu.  This file
        % will be displayed to all callers who enter the area or
        % place associated with this menu.  This file can contain any
        % of the special embedded codes that you can use in a normal
        % *.BBS file.  The default is not to use a custom file, and to
        % have Maximus generate the menu for you.  (Maximus also
        % supports a second customized .BBS file for each area, through
        % the `HeaderFile' option.  Please see the Maximus Technical
        % Reference Manual for more information.)

%       MenuFile        Misc\MenuMain

        % If you are using the customized .BBS MenuFile, then you must
        % tell Maximus how many lines on your screen that your custom
        % file takes.  If this value is not specified, or if it is incorrect,
        % then you will have problems with messages being scrolled off the
        % top of your screen because of your customized menufile.

%       MenuLength      15

        % This option is also only applicable if you're using a custom
        % *.BBS menufile.  As expected, if a user presses a key in the
        % middle of the menu with HOTFLASH turned on, the menu will abort
        % it's display, and jump to the option selected.  However, if
        % your *.BBS file has a coloured background, this operation may
        % cause the background to bleed into the rest of the screen.  The
        % solution is to specify an AVATAR colour number here, which will
        % be displayed BEFORE printing the key the user selected.  Normally,
        % this colour should have the background set to black, or whatever
        % colour your screen normally is.  An index of the AVATAR colour
        % codes (and their corresponding colours) can be found in an
        % appendix of the SysOp manual.

%       MenuColour      16

        % The next section of this menu defines the actual commands usable.
        % The name of the COMMAND to perform is in the left column.  This
        % tells Maximus what command to execute when that particular
        % option is picked.  Following the command is an optional
        % argument -- some commands need arguments, and others don't.
        % If the argument contains any spaces (such as would a DOS
        % command line), then make sure to replace them with underscores,
        % which will get translated back into spaces when the menu is
        % read back in.  Following the option argument is the priv. level
        % needed to access that command.  If you wish to "lock" a particular
        % area so it can only be accessed by a user possessing certain
        % keys, then follow the priv. level with a forward slash, followed
        % by the lock numbers which you wish to lock.  ie. An
        % option with a priv level of "Disgrace/156" will only be available
        % to users with a priv. of DISGRACE or greater, and only to those
        % users who posess keys one, five and six.  Finally, following the
        % priv level, is the actual command as it appears to the user.  The
        % FIRST character of the description will be the key that activates
        % that specific command.

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Display_Menu    Message                    Twit "M> HAȰ"
        Display_Menu    File                       Twit "F> ɮתAȰ"
        Display_Menu    Change                 Disgrace "C> קѼ"
%       Display_Menu    EDTORIAL                   TWIT "E> SA (1)"
%       Display_Menu    EDTORIA1                   TWIT "D> SA (2)"

        % The above three options tell Maximus to chain to a different
        % *.Mnu file, whose name is specified as an argument.  Please
        % make sure NOT to include a path before the name of your menu,
        % since Maximus will add that according to the currently-defined
        % menu path.

        Goodbye                                    Twit "G> ѦAӧa !!"
        Statistics                             Disgrace "S> ϥΪp"
        Yell                                    Limited "Y> Is    "
        Userlist                               Disgrace "U> ϥΪ̬dM"
        Version                                Disgrace "V> s    "

        % The above options are fairly generic, and basically do what
        % they appear to do.

        % The following option displays a *.BBS file when it is picked
        % is picked.  You can have as many of these custom files as
        % you wish.

        Display_File    Misc\Bulletin              Twit "B> ݤi   "

        % The next commands are only of use to multi-line systems.
        % PLEASE SEE THE DOCUMENTATION BEFORE ENABLING THESE
        % COMMANDS!

      % Who_Is_On                              Disgrace "W> dߨLΤ"
      % Display_Menu    Chat                   Disgrace "/> uW"

        % This tells Maximus that you want to execute an external
        % program, in this case, COMMAND.COM, when the `!' menu option
        % is selected. Other options available are `Xtern_Dos' (which
        % loads COMMAND.COM first -- needed for executing batch files),
        % `Xtern_Chain' (load the to-be-executed program on top of
        % Maximus -- that means control isn't automatically returned to
        % Maximus), and finally `Xtern_Erlvl' (exit with an errorlevel).
        %
        %       Also, when specifying the command/errorlevel to execute,
        % don't forget to use underscores instead of spaces!
        %
        % Examples:
        %
        %   Xtern_Run   C:\MAX\Bonk_/XN      Sysop "N> odelist editor"
        %   Xtern_Dos   C:\MAX\Batchfil.Bat  sysop "R> un XYZ program"
        %   Xtern_Chain C:\MAX\Prog.Exe      SYSOP "T> abulate stats"
%      Xtern_DOS   C:\MAX\ELI\ELO.BAT        TWIT  "T> Pq"
%    Display_File    C:\MAX\MISC\AAA         TWIT  "A> zUnO"


UsrRemote Xtern_Run     Command.Com_>com%P_<com%P   Sysop "!> DOS "
UsrLocal  Xtern_Run     Command.Com                 Sysop "!> DOS "

        % This command invokes the internal Maximus user editor.

        User_Editor                               Sysop "@> USER ޲z{"

        % What follows is the help file you want Maximus to use for this
        % menu.  If you do *not* specify a help file, then a user will
        % *not* be able to press `?' to get help.

        Display_File    Hlp\Main                   Twit "?> U"
        %
End Menu


Menu MESSAGE
        Title           HAȰ
        MenuHeader      Message
     %  MenuFile        Misc\MenuMsg
     %  MENULENGTH      14
        MENUCOLOUR      16

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Area_Change     Message                    Twit "A> 󴫫H" "="
        Area_Change     Message                 Limited "[> ܤW@" "["
        Area_Change     Message                 Limited "]> ܤU@" "]"
        Read_Next                                  Twit "N> ŪUʫH"
        Read_Previous                              Twit "P> ŪeʫH"
        Enter_Message                              Twit "E> }lgH"
        Msg_Reply                                  Twit "R> gʦ^H"
        Msg_Change                                EXTRA "C> H"
        Read_Nonstop                           Disgrace "=> sŪH"
        Read_Original                          Disgrace "-> ŪH"
        Read_Reply                             Disgrace "+> Ū^H"
        Msg_List                               Disgrace "L> ²nCH"
        Msg_Scan                               Disgrace "S> ˬdӤHH"
        Msg_Inquire                            Disgrace "I> jM"
        Display_Menu    Main                       Twit "M> ^D"
        Display_Menu    File                    Limited "J> ɮתAȰ"
     %  Who_Is_On                               Limited "W> dߨLΤ"
     %  Display_Menu    Chat                    Limited "/> uW"
        Chg_Hotkeys                            Disgrace "!> "
        Goodbye                                    Twit "G> ѦAӧa !!"
        Msg_Kill                                  sysop "K> RH"
        Msg_Upload                             Disgrace "U> eWAH"
        Forward                                   sysop "F> ƻsH"
        Msg_Hurl                                  sysop "H> hH"
        Xport                                     sysop "X> HX"
%   Ctl Xtern_Run MsgMan.Exe_C:\Max\MsgMan.Ctl_%L Disgrace "# Message Manager"
  NoDsp Same_Direction                         Disgrace "|"
  NoDsp Read_Individual                        Disgrace "0"
  NoDsp Read_Individual                        Disgrace "1"
  NoDsp Read_Individual                        Disgrace "2"
  NoDsp Read_Individual                        Disgrace "3"
  NoDsp Read_Individual                        Disgrace "4"
  NoDsp Read_Individual                        Disgrace "5"
  NoDsp Read_Individual                        Disgrace "6"
  NoDsp Read_Individual                        Disgrace "7"
  NoDsp Read_Individual                        Disgrace "8"
  NoDsp Read_Individual                        Disgrace "9"
  Local Display_File    Hlp\Msg                    Twit "?> U"
 Matrix Display_File    Hlp\Mail                   Twit "?> U"
   Echo Display_File    Hlp\Echo                   twit "?> U"
        %
End Menu

Menu FILE
        Title           ɮתAȰ
        MenuHeader      File

     %  MenuFile        Misc\MenuFile
     %  MENULENGTH      12
        MENUCOLOUR      16

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Area_Change     File                       Twit "A> ɰ" "="
        Area_Change     File                    Limited "[> ܤW@" "["
        Area_Change     File                    Limited "]> ܤU@" "]"
        Locate                                 Disgrace "L> MYSwɮ"
        File_Titles                                Twit "F> dɮ"
        Type                                       TWIT "T> ܤ"
        Download                               Disgrace "D> aɮ"
        Upload                                 Disgrace "U> eWɮ"
        Statistics                             Disgrace "S> ϥΪp"
        Contents                                Limited "C> Yɤe"
        NewFiles                               Disgrace "N> sɮ׬dM"
        Raw                                      NORMAL "R> dɮ"
        File_Kill                                 Sysop "K> Rɮ"
        File_Hurl                                 Sysop "H> hɮ"
        Override_Path                             Sysop "O> |ɮצs"
        Display_Menu    Main                       Twit "M> ^D"
        Display_Menu    Message                 Limited "J> ܫHAȰ"
      % Who_Is_On                               Limited "W> dߨLΤ"
      % Display_Menu    Chat                    Limited "/> uW"
        Chg_Hotkeys                            Disgrace "!> "
        Goodbye                                    Twit "G> ѦAӧa !!"
        Display_File    Hlp\FileHelp               Twit "?> Ue"
        %
End Menu

Menu CHANGE
        Title           Ѽƭק
        MenuHeader      Change

%       MenuFile        Misc\MenuChg

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Chg_Realname                              Sysop "R> umW"
        Chg_Phone                              Disgrace "#> sq"
        Chg_City                               Disgrace "C> "
        Chg_Password                           Disgrace "P> KX"
        Chg_Help                               Disgrace "H> U"
        Chg_Nulls                                 SYSOP "N> ŦrX"
        Chg_Width                                  Twit "W> ùe"
        Chg_Length                                 Twit "L> ù"
        Chg_Tabs                                   Twit "T> ϥθ"
        Chg_More                                   Twit "M> CȰ"
        Chg_Video                                  Twit "V> ANSI"
        Chg_Editor                                 Twit "F> Hs"
        Chg_Clear                                  Twit "S> Me"
        Chg_IBM                                    Twit "I> ^"
        Chg_Hotkeys                                Twit "!> "
        Display_Menu    Main                       Twit "Q> ^D"
  NoDsp Display_Menu    Main                       Twit "|"
        Display_File    Hlp\Change              Limited "?> Ue"
        %
End Menu

Menu EDIT
        Title           s边

%       MenuFile        Misc\MenuEdit

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Edit_Save                                  Twit "S> s_H"
        Edit_Abort                                 Twit "A> H"
        Edit_List                                  Twit "L> ²nCH"
        Edit_Edit                                  Twit "E> s@"
        Edit_Insert                                Twit "I> J@"
        Edit_Delete                                Twit "D> R@"
        Edit_Quote                             Disgrace "Q> ޫH"
        Edit_Continue                          Disgrace "C> ~gH"
        Edit_To                                  Normal "T> ק怜HH"
        Edit_Subj                                Normal "J> קﴣn"
        Edit_From                                 Sysop "F> oHH"
        Edit_Handling                             Sysop "H> ݩʭק"
        Read_DiskFile                             Sysop "R> ɮରH"
        Display_File    Hlp\Editor                 Twit "?> Ue"
        %
End Menu


Menu CHAT
        Title           ql|ĳ< hu >
        MenuHeader      Chat
%       MenuFile        Misc\MenuChg

        % Name of cmd    Optional arguments      Priv.   Command as it
        % to execute     for cmd, if any         Level   appears to user
        % ------------  --------------------- --------- -----------------

        Chat_CB                                Disgrace "C> uW"
        Chat_Page                              Disgrace "P> IsY USER"
        Chat_Pvt                               Disgrace "A> ^ USER"
        Chat_Toggle                            Disgrace "T> A"
        Display_Menu    File                    Limited "F> ɮתAȰ"
        Display_Menu    Message                 Limited "M> ܫHAȰ"
        Who_Is_On                               Limited "W> dߨLΤ"
        Chg_Hotkeys                            Disgrace "!> "
        Display_Menu    MAIN                   Disgrace "Q> ^D"
        Goodbye                                Disgrace "G> ѦAӧa !!"
        Display_File    Hlp\Chat               Disgrace "?> Ue"
End Menu
